    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Class java.awt.Image

    java.lang.Object
       |
       +----java.awt.Image

public abstract class Image
extends Object

The abstract class `Image` is the superclass of all classes that represent graphical images. The image must be obtained in a platform-specific manner.

##

SCALE_AREA_AVERAGING
  Use the Area Averaging image scaling algorithm.
SCALE_DEFAULT
  Use the default image-scaling algorithm.
SCALE_FAST
  Choose an image-scaling algorithm that gives higher priority to scaling speed than smoothness of the scaled image.
SCALE_REPLICATE
  Use the image scaling algorithm embodied in the `ReplicateScaleFilter` class.
SCALE_SMOOTH
  Choose an image-scaling algorithm that gives higher priority to image smoothness than scaling speed.
UndefinedProperty
  The `UndefinedProperty` object should be returned whenever a property which was not defined for a particular image is fetched.

##

Image()

##

flush()
  Flushes all resources being used by this Image object.
getGraphics()
  Creates a graphics context for drawing to an off-screen image.
getHeight(ImageObserver)
  Determines the height of the image.
getProperty(String, ImageObserver)
  Gets a property of this image by name.
getScaledInstance(int, int, int)
  Creates a scaled version of this image.
getSource()
  Gets the object that produces the pixels for the image.
getWidth(ImageObserver)
  Determines the width of the image.

##

UndefinedProperty

     public static final Object UndefinedProperty

  The `UndefinedProperty` object should be returned whenever a property which was not defined for a particular image is fetched.

SCALE_DEFAULT

     public static final int SCALE_DEFAULT

  Use the default image-scaling algorithm.

SCALE_FAST

     public static final int SCALE_FAST

  Choose an image-scaling algorithm that gives higher priority to scaling speed than smoothness of the scaled image.

SCALE_SMOOTH

     public static final int SCALE_SMOOTH

  Choose an image-scaling algorithm that gives higher priority to image smoothness than scaling speed.

SCALE_REPLICATE

     public static final int SCALE_REPLICATE

  Use the image scaling algorithm embodied in the `ReplicateScaleFilter` class. The `Image` object is free to substitute a different filter that performs the same algorithm yet integrates more efficiently into the imaging infrastructure supplied by the toolkit.

  See Also:
    ReplicateScaleFilter

SCALE_AREA_AVERAGING

     public static final int SCALE_AREA_AVERAGING

  Use the Area Averaging image scaling algorithm. The image object is free to substitute a different filter that performs the same algorithm yet integrates more efficiently into the image infrastructure supplied by the toolkit.

  See Also:
    AreaAveragingScaleFilter

##

Image

     public Image()

##

getWidth

     public abstract int getWidth(ImageObserver observer)

  Determines the width of the image. If the width is not yet known, this method returns `-1` and the specified `ImageObserver` object is notified later.

  Parameters:
    observer - an object waiting for the image to be loaded.
  Returns:
    the width of this image, or `-1` if the width is not yet known.
  See Also:
    getHeight, ImageObserver

getHeight

     public abstract int getHeight(ImageObserver observer)

  Determines the height of the image. If the height is not yet known, this method returns `-1` and the specified `ImageObserver` object is notified later.

  Parameters:
    observer - an object waiting for the image to be loaded.
  Returns:
    the height of this image, or `-1` if the height is not yet known.
  See Also:
    getWidth, ImageObserver

getSource

     public abstract ImageProducer getSource()

  Gets the object that produces the pixels for the image. This method is called by the image filtering classes and by methods that perform image conversion and scaling.

  Returns:
    the image producer that produces the pixels for this image.
  See Also:
    ImageProducer

getGraphics

     public abstract Graphics getGraphics()

  Creates a graphics context for drawing to an off-screen image. This method can only be called for off-screen images.

  Returns:
    a graphics context to draw to the off-screen image.
  See Also:
    Graphics, createImage

getProperty

     public abstract Object getProperty(String name,
                                        ImageObserver observer)

  Gets a property of this image by name.

  Individual property names are defined by the various image formats. If a property is not defined for a particular image, this method returns the `UndefinedProperty` object.

  If the properties for this image are not yet known, this method returns `null`, and the `ImageObserver` object is notified later.

  The property name `"comment"` should be used to store an optional comment which can be presented to the application as a description of the image, its source, or its author.

  Parameters:
    name - a property name.
    observer - an object waiting for this image to be loaded.
  Returns:
    the value of the named property.
  See Also:
    ImageObserver, UndefinedProperty

getScaledInstance

     public Image getScaledInstance(int width,
                                    int height,
                                    int hints)

  Creates a scaled version of this image. A new `Image` object is returned which will render the image at the specified `width` and `height` by default. The new `Image` object may be loaded asynchronously even if the original source image has already been loaded completely. If either the `width` or `height` is a negative number then a value is substituted to maintain the aspect ratio of the original image dimensions.

  Parameters:
    width - the width to which to scale the image.
    height - the height to which to scale the image.
    hints - flags to indicate the type of algorithm to use for image resampling.
  Returns:
    a scaled version of the image.
  See Also:
    SCALE_DEFAULT, SCALE_FAST, SCALE_SMOOTH, SCALE_REPLICATE, SCALE_AVERAGE

flush

     public abstract void flush()

  Flushes all resources being used by this Image object. This includes any pixel data that is being cached for rendering to the screen as well as any system resources that are being used to store data or pixels for the image. The image is reset to a state similar to when it was first created so that if it is again rendered, the image data will have to be recreated or fetched again from its source.

    All Packages  Class Hierarchy  This Package  Previous  Next  Index

Submit a bug or feature - Version 1.1.8 of Java Platform API Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1995-1999 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.